#include<bits/stdc++.h>
using namespace std;
#define ll long long 
int main(){
	freopen("match.in","r",stdin);
	freopen("match.out","w",stdout);
char c;
	while(cin>>c){
		
	}
	cout<<1000000006;
	return 0;
}